LibreOffice: XTableUIProvider Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XTableUIProvider Interface Reference

is used by the database application to obtain non-default user interface information and/or components for database tables. More...

`import <XTableUIProvider.idl;`

## Public Member Functions
com::sun::star::graphic::XGraphic | getTableIcon ([in] string TableName, [in] long ColorMode)
| provides the icon which should be used to represent the table in the database application window.
com::sun::star::uno::XInterface | getTableEditor ([in] XDatabaseDocumentUI DocumentUI, [in] string TableName) raises (::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException)
| returns a component which can be used to edit the definition of an existing table.

## Detailed Description

is used by the database application to obtain non-default user interface information and/or components for database tables.

See also
  com::sun::star::sdb::Connection

Since
  OOo 2.2

## Member Function Documentation

## ◆ getTableEditor()

com::sun::star::uno::XInterface getTableEditor | ( | [in] XDatabaseDocumentUI | DocumentUI,
|  | [in] string | TableName
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::lang::WrappedTargetException
| ) |  |

returns a component which can be used to edit the definition of an existing table.

Parameters

  DocumentUI | provides access to the UI in which the database document is currently displayed. In particular, this parameter provides access to the application's main window, which is needed in case the table editor should be a dialog.
  TableName | denotes the fully qualified name of an existing table.

Returns
  a component which can be used to edit the definition of an existing table, or `NULL` if the default component should be used.
  Two component types are supported so far
  - modal dialogs
    If the returned component supports the com::sun::star::ui::dialogs::XExecutableDialog interface, the dialog will be executed modally.
  - modeless frames
    If the returned component supports the com::sun::star::frame::XController interface, it is assumed that it represents a controller, loaded into a new frame, which is a modeless and, in its lifetime, depends on the application main window.
  If the returned component does not support any of the above-mentioned interfaces, it's discarded.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given TableName does not denote an existing table
  com::sun::star::lang::WrappedTargetException | if an error occurs while creating the table editor component.

## ◆ getTableIcon()

com::sun::star::graphic::XGraphic getTableIcon | ( | [in] string | TableName,
|  | [in] long | ColorMode
| ) |  |

provides the icon which should be used to represent the table in the database application window.

The icon will usually be requested once per table, and cached. It might be requested again if the application settings change, for instance, if another desktop theme has been activated.

Parameters

  TableName | denotes the fully qualified name of the database table.
  ColorMode | denotes the color mode of the graphic to retrieve, being one of the com::sun::star::graphic::GraphicColorMode constants.

Returns
  the icon which should be used to represent the table in the database application window, or `NULL` if the default icon should be used.

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/application/XTableUIProvider.idl